Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2152402 - Review Request: librist - Library for Reliable Internet Stream Transport (RIST) protocol
Summary: Review Request: librist - Library for Reliable Internet Stream Transport (RIS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Benson Muite
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2165399
TreeView+ depends on / blocked
 
Reported: 2022-12-11 14:56 UTC by Neal Gompa
Modified: 2023-02-28 02:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-24 04:11:57 UTC
Type: ---
Embargoed:
benson_muite: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2022-12-11 14:56:58 UTC
Spec URL: https://ngompa.fedorapeople.org/for-review/librist.spec
SRPM URL: https://ngompa.fedorapeople.org/for-review/librist-0.2.7-1.fc37.src.rpm
Description:
A library that can be used to speak the RIST protocol (as defined by Video
Services Forum (VSF) Technical Recommendations TR-06-1 and TR-06-2).


Fedora Account System Username: ngompa

Comment 1 Benson Muite 2022-12-12 10:58:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-Clause License", "Public domain
     BSD 2-Clause License", "ISC License BSD 2-clause NetBSD License BSD
     2-Clause License", "*No copyright* Public domain", "MIT License", "*No
     copyright* Apache License 2.0", "Apache License 2.0". 32 files have
     unknown license. Detailed output of licensecheck in
     /home/fedora-packaging/2152402-librist/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: librist-0.2.7-1.fc38.x86_64.rpm
          librist-devel-0.2.7-1.fc38.x86_64.rpm
          librist-doc-0.2.7-1.fc38.noarch.rpm
          rist-tools-0.2.7-1.fc38.x86_64.rpm
          librist-debuginfo-0.2.7-1.fc38.x86_64.rpm
          librist-debugsource-0.2.7-1.fc38.x86_64.rpm
          librist-0.2.7-1.fc38.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp_4007is7')]
checks: 31, packages: 7

rist-tools.x86_64: W: no-manual-page-for-binary rist2rist
rist-tools.x86_64: W: no-manual-page-for-binary ristreceiver
rist-tools.x86_64: W: no-manual-page-for-binary ristsender
rist-tools.x86_64: W: no-manual-page-for-binary ristsrppasswd
rist-tools.x86_64: W: no-documentation
 7 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 36.4 s 




Rpmlint (debuginfo)
-------------------
Checking: librist-debuginfo-0.2.7-1.fc38.x86_64.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpk7i7lx34')]
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 8.6 s 





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 6

rist-tools.x86_64: W: no-manual-page-for-binary rist2rist
rist-tools.x86_64: W: no-manual-page-for-binary ristreceiver
rist-tools.x86_64: W: no-manual-page-for-binary ristsender
rist-tools.x86_64: W: no-manual-page-for-binary ristsrppasswd
rist-tools.x86_64: W: no-documentation
 6 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 33.2 s 



Source checksums
----------------
https://code.videolan.org/rist/librist/-/archive/v0.2.7/librist-v0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : 7e2507fdef7b57c87b461d0f2515771b70699a02c8675b51785a73400b3c53a1
  CHECKSUM(SHA256) upstream package : 7e2507fdef7b57c87b461d0f2515771b70699a02c8675b51785a73400b3c53a1


Requires
--------
librist (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcjson.so.1()(64bit)
    rtld(GNU_HASH)

librist-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    librist(x86-64)
    librist.so.4()(64bit)

librist-doc (rpmlib, GLIBC filtered):

rist-tools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    librist(x86-64)
    librist.so.4()(64bit)
    rtld(GNU_HASH)

librist-debuginfo (rpmlib, GLIBC filtered):

librist-debugsource (rpmlib, GLIBC filtered):



Provides
--------
librist:
    librist
    librist(x86-64)
    librist.so.4()(64bit)

librist-devel:
    librist-devel
    librist-devel(x86-64)
    pkgconfig(librist)

librist-doc:
    librist-doc

rist-tools:
    rist-tools
    rist-tools(x86-64)

librist-debuginfo:
    debuginfo(build-id)
    librist-debuginfo
    librist-debuginfo(x86-64)
    librist.so.4.2.0-0.2.7-1.fc38.x86_64.debug()(64bit)

librist-debugsource:
    librist-debugsource
    librist-debugsource(x86-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2152402
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: PHP, Perl, Haskell, Ocaml, Java, Python, fonts, SugarActivity, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comments:
a) Additional license found by fedora-review:
ISC License BSD 2-clause NetBSD License BSD 2-Clause License
------------------------------------------------------------
librist-v0.2.7/contrib/getopt-shim.c

MIT License
-----------
librist-v0.2.7/contrib/contrib_cJSON/cjson/cJSON.c
librist-v0.2.7/contrib/contrib_cJSON/cjson/cJSON.h
librist-v0.2.7/contrib/srp.c
librist-v0.2.7/contrib/srp.h

Public domain BSD 2-Clause License
----------------------------------
librist-v0.2.7/compat/getopt.h
librist-v0.2.7/contrib/time-shim.c

*No copyright* Public domain
----------------------------
librist-v0.2.7/contrib/getopt-shim.h
b) mbedtls should be included as a dependency and not built from source as an included library
c) lz4 also seems to be contributed, but could be a build dependency to use what is already packaged
d) Can any of the tests be run? cmocka is available https://packages.fedoraproject.org/pkgs/cmocka/

Comment 2 Neal Gompa 2022-12-14 00:25:35 UTC
I've revised the package to add BRs, update the license field and run tests.

lz4 is completely unused in the codebase, so I didn't add it: https://code.videolan.org/rist/librist/-/commit/d1b4a66bbf45d99dac6cde40f76c7bf1fcde8bb0

Comment 3 Neal Gompa 2022-12-14 00:25:57 UTC
The updated packaging is at the same place as before.

Comment 4 Benson Muite 2022-12-15 20:53:53 UTC
Thanks. Will examine updated package.

Comment 5 Benson Muite 2022-12-16 12:30:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-Clause License", "Public domain
     BSD 2-Clause License", "ISC License BSD 2-clause NetBSD License BSD
     2-Clause License", "*No copyright* Public domain", "MIT License", "*No
     copyright* Apache License 2.0", "Apache License 2.0". 32 files have
     unknown license. Detailed output of licensecheck in
     /home/fedora-packaging/2152402-librist/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: librist-0.2.7-1.fc38.aarch64.rpm
          librist-devel-0.2.7-1.fc38.aarch64.rpm
          librist-doc-0.2.7-1.fc38.noarch.rpm
          rist-tools-0.2.7-1.fc38.aarch64.rpm
          librist-debuginfo-0.2.7-1.fc38.aarch64.rpm
          librist-debugsource-0.2.7-1.fc38.aarch64.rpm
          librist-0.2.7-1.fc38.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpoipsuouq')]
checks: 31, packages: 7

rist-tools.aarch64: W: no-manual-page-for-binary rist2rist
rist-tools.aarch64: W: no-manual-page-for-binary ristreceiver
rist-tools.aarch64: W: no-manual-page-for-binary ristsender
rist-tools.aarch64: W: no-manual-page-for-binary ristsrppasswd
rist-tools.aarch64: W: no-documentation
 7 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 1.0 s 




Rpmlint (debuginfo)
-------------------
Checking: librist-debuginfo-0.2.7-1.fc38.aarch64.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp9cgg83ys')]
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.3 s 





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 6

rist-tools.aarch64: W: no-manual-page-for-binary rist2rist
rist-tools.aarch64: W: no-manual-page-for-binary ristreceiver
rist-tools.aarch64: W: no-manual-page-for-binary ristsender
rist-tools.aarch64: W: no-manual-page-for-binary ristsrppasswd
rist-tools.aarch64: W: no-documentation
 6 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 1.0 s 



Source checksums
----------------
https://code.videolan.org/rist/librist/-/archive/v0.2.7/librist-v0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : 7e2507fdef7b57c87b461d0f2515771b70699a02c8675b51785a73400b3c53a1
  CHECKSUM(SHA256) upstream package : 7e2507fdef7b57c87b461d0f2515771b70699a02c8675b51785a73400b3c53a1


Requires
--------
librist (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libcjson.so.1()(64bit)
    libmbedcrypto.so.7()(64bit)
    rtld(GNU_HASH)

librist-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    librist(aarch-64)
    librist.so.4()(64bit)
    pkgconfig(libcjson)

librist-doc (rpmlib, GLIBC filtered):

rist-tools (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libmbedcrypto.so.7()(64bit)
    librist(aarch-64)
    librist.so.4()(64bit)
    rtld(GNU_HASH)

librist-debuginfo (rpmlib, GLIBC filtered):

librist-debugsource (rpmlib, GLIBC filtered):



Provides
--------
librist:
    librist
    librist(aarch-64)
    librist.so.4()(64bit)

librist-devel:
    librist-devel
    librist-devel(aarch-64)
    pkgconfig(librist)

librist-doc:
    librist-doc

rist-tools:
    rist-tools
    rist-tools(aarch-64)

librist-debuginfo:
    debuginfo(build-id)
    librist-debuginfo
    librist-debuginfo(aarch-64)
    librist.so.4.2.0-0.2.7-1.fc38.aarch64.debug()(64bit)

librist-debugsource:
    librist-debugsource
    librist-debugsource(aarch-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2152402
Buildroot used: fedora-rawhide-aarch64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Perl, SugarActivity, PHP, Ocaml, Python, R, Java, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

$ rpmlint librist-0.2.7-1.fc38.aarch64.rpm
================================== rpmlint session starts ==================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

=== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s ===

$ rpmlint librist-0.2.7-1.fc38.src.rpm
================================== rpmlint session starts ==================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

=== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.1 s ===

$ rpmlint librist-devel-0.2.7-1.fc38.aarch64.rpm
================================== rpmlint session starts ==================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

=== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.1 s ===

$ rpmlint librist-doc-0.2.7-1.fc38.noarch.rpm
================================== rpmlint session starts ==================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

=== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.1 s ===

$ rpmlint rist-tools-0.2.7-1.fc38.aarch64.rpm
================================== rpmlint session starts ==================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

rist-tools.aarch64: W: no-manual-page-for-binary rist2rist
rist-tools.aarch64: W: no-manual-page-for-binary ristreceiver
rist-tools.aarch64: W: no-manual-page-for-binary ristsender
rist-tools.aarch64: W: no-manual-page-for-binary ristsrppasswd
rist-tools.aarch64: W: no-documentation
=== 1 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 0.2 s ===

Comments:
a) Builds on required architectures https://copr.fedorainfracloud.org/coprs/fed500/librist/build/5148256/
b) It still bundles mbedtls
The build log contains:

Message: Building mbedtls
Did not find CMake 'cmake'
Found CMake: NO
Run-time dependency mbedcrypto found: NO (tried pkgconfig and cmake)

see
https://download.copr.fedorainfracloud.org/results/fed500/librist/fedora-rawhide-aarch64/05148256-librist/builder-live.log.gz

Probably another patch is needed to explicitly find mbedtls as the packaged version does not have cmake or pkgconfig files?

Mbedtls in Fedora 2.28.1 though there is also 3.3.0 available:
https://github.com/Mbed-TLS/mbedtls/tags
Version 2.x.x of mbedtls does not install cmake or pkgconfig files, though version 3.x.x does.

Mbedtls seems to have been relicensed, so the license of the bundled version (2.x.x) may be different than the current releases.

Comment 6 Neal Gompa 2022-12-16 14:01:13 UTC
> Mbedtls seems to have been relicensed, so the license of the bundled version (2.x.x) may be different than the current releases.

The licensing changed to Apache-2.0 in 2016: https://web.archive.org/web/20160304213919/https://tls.mbed.org/foss-license-exception

2.x and 3.x have the same license.

Comment 7 Neal Gompa 2023-02-11 16:18:40 UTC
> Run-time dependency mbedcrypto found: NO (tried pkgconfig and cmake)

This failure is expected. It falls back to locating the library by hand and does find it. That's why the resulting packages link to libmbedcrypto.so.7.

Comment 8 Neal Gompa 2023-02-15 01:19:07 UTC
Are you going to complete the review anytime soon?

Comment 9 Benson Muite 2023-02-15 12:19:16 UTC
mbedtls version used seems to be 2.26.0 https://code.videolan.org/rist/librist/-/tree/master/contrib/mbedtls

Probably what is packaged in Fedora can be used. Maybe updated option is needed in the meson file

https://stackoverflow.com/questions/59769986/meson-how-to-make-find-library-works-with-an-unusual-path
https://code.videolan.org/rist/librist/-/blob/master/contrib/mbedtls/meson.build#L8

Comment 10 Neal Gompa 2023-02-15 12:45:32 UTC
It did find it though, that's why it links to the system version of mbedcrypto.

Comment 11 Benson Muite 2023-02-15 15:57:14 UTC
Thanks. Seems ok. Is it possible to remove unused bundled 3rd party dependencies in prep section?

# Remove bundled libraries that are packaged
rm -r contrib/mbedtls/include
rm -r contrib/mbedtls/library
rm -r contrib/lz4
rm -r contrib/contrib_cJSON

Comment 12 Neal Gompa 2023-02-15 20:07:29 UTC
Yup, done and it works. Updated the spec and SRPM accordingly.

Comment 13 Benson Muite 2023-02-15 23:50:43 UTC
Builds on all architectures:
https://copr.fedorainfracloud.org/coprs/fed500/librist/build/5529095/
Approved

Comment 14 Fedora Admin user for bugzilla script actions 2023-02-16 02:58:47 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/librist

Comment 15 Fedora Update System 2023-02-16 04:39:33 UTC
FEDORA-EPEL-2023-46c778698e has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-46c778698e

Comment 16 Fedora Update System 2023-02-16 04:45:54 UTC
FEDORA-2023-d458d63ca4 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d458d63ca4

Comment 17 Fedora Update System 2023-02-16 04:45:55 UTC
FEDORA-2023-17b8a46bfe has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-17b8a46bfe

Comment 18 Fedora Update System 2023-02-17 02:22:27 UTC
FEDORA-EPEL-2023-46c778698e has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-46c778698e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-02-17 02:50:46 UTC
FEDORA-2023-17b8a46bfe has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-17b8a46bfe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-17b8a46bfe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2023-02-17 03:03:14 UTC
FEDORA-2023-d458d63ca4 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d458d63ca4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d458d63ca4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2023-02-24 04:11:57 UTC
FEDORA-EPEL-2023-46c778698e has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2023-02-24 04:45:12 UTC
FEDORA-2023-d458d63ca4 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2023-02-28 02:00:50 UTC
FEDORA-2023-17b8a46bfe has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.